package com.easy.pfol.business.jdo;

import java.io.Serializable;
import java.util.Collection;
import java.util.ArrayList;

/**
 * Classe reprsentant un enregistrement de la table snsnSubsNetServNumber/CPNEREP
 * @jdo:persistent
 * @jdo:id application
 */
public class SnsnSubsNetServNumber {
    /** Attribut: active/nedszh. Accesseur/Mutateur */
    private String active;

    /** Attribut: changedByDiseUserId/necmzj. Accesseur/Mutateur */
    private String changedByDiseUserId;

    /** Attribut: changedByProgram/neavzl. Accesseur/Mutateur */
    private String changedByProgram;

    /** Attribut: companyNumber/neciza. Accesseur/Mutateur */
    private String companyNumber;

    /** Attribut: createdByDiseUserId/neckzj. Accesseur/Mutateur */
    private String createdByDiseUserId;

    /** Attribut: createdByProgram/neauzl. Accesseur/Mutateur */
    private String createdByProgram;

    /** Attribut: dateChanged/neekzb. Accesseur/Mutateur */
    private int dateChanged;

    /** Attribut: dateCreated/neejzb. Accesseur/Mutateur */
    private int dateCreated;

    /** Attribut: networkCode/nea7za. Accesseur/Mutateur */
    private String networkCode;

    /** Attribut: ntsrServiceCode/nedzz3. Accesseur/Mutateur */
    private String ntsrServiceCode;

    /** Attribut: securityLevel/nehizc. Accesseur/Mutateur */
    private int securityLevel;

    /** Attribut: snsnEffectiveDate/necyz6. Accesseur/Mutateur */
    private int snsnEffectiveDate;

    /** Attribut: snsnEffectiveTime/neabw5. Accesseur/Mutateur */
    private int snsnEffectiveTime;

    /** Attribut: snsnExpirationDate/neakw6. Accesseur/Mutateur */
    private int snsnExpirationDate;

    /** Attribut: snsnMicroSim/nemiw7. Accesseur/Mutateur */
    private String snsnMicroSim;

    /** Attribut: snsnNumber/nedyz3. Accesseur/Mutateur */
    private String snsnNumber;

    /** Attribut: snsnTypeNumber/nee1z7. Accesseur/Mutateur */
    private String snsnTypeNumber;

    /** Attribut: snsrEffectiveDate/necxz6. Accesseur/Mutateur */
    private int snsrEffectiveDate;

    /** Attribut: snsrEffectiveTime/neaaw5. Accesseur/Mutateur */
    private int snsrEffectiveTime;

    /** Attribut: subscriptionNumber/neb8zc. Accesseur/Mutateur */
    private int subscriptionNumber;

    /** Attribut: timeChanged/neawzi. Accesseur/Mutateur */
    private int timeChanged;

    /** Attribut: timeCreated/neavzi. Accesseur/Mutateur */
    private int timeCreated;
    private Subscription subscription;
    private CarteSim carteSim;

    /** Constructeurs de la classe snsnSubsNetServNumber */
    public SnsnSubsNetServNumber() {
    }

    public String getActive() {
        return active;
    }

    public String getChangedByDiseUserId() {
        return changedByDiseUserId;
    }

    public String getChangedByProgram() {
        return changedByProgram;
    }

    public String getCompanyNumber() {
        return companyNumber;
    }

    public String getCreatedByDiseUserId() {
        return createdByDiseUserId;
    }

    public String getCreatedByProgram() {
        return createdByProgram;
    }

    public int getDateChanged() {
        return dateChanged;
    }

    public int getDateCreated() {
        return dateCreated;
    }

    public String getNetworkCode() {
        return networkCode;
    }

    public String getNtsrServiceCode() {
        return ntsrServiceCode;
    }

    public int getSecurityLevel() {
        return securityLevel;
    }

    public int getSnsnEffectiveDate() {
        return snsnEffectiveDate;
    }

    public int getSnsnEffectiveTime() {
        return snsnEffectiveTime;
    }

    public int getSnsnExpirationDate() {
        return snsnExpirationDate;
    }

    public String getSnsnMicroSim() {
        return snsnMicroSim;
    }

    public String getSnsnNumber() {
        return snsnNumber;
    }

    public String getSnsnTypeNumber() {
        return snsnTypeNumber;
    }

    public int getSnsrEffectiveDate() {
        return snsrEffectiveDate;
    }

    public int getSnsrEffectiveTime() {
        return snsrEffectiveTime;
    }

    public int getSubscriptionNumber() {
        return subscriptionNumber;
    }

    public int getTimeChanged() {
        return timeChanged;
    }

    public int getTimeCreated() {
        return timeCreated;
    }

    public void setActive(String sactive) {
        active = sactive;
    }

    public void setChangedByDiseUserId(String schangedByDiseUserId) {
        changedByDiseUserId = schangedByDiseUserId;
    }

    public void setChangedByProgram(String schangedByProgram) {
        changedByProgram = schangedByProgram;
    }

    public void setCompanyNumber(String scompanyNumber) {
        companyNumber = scompanyNumber;
    }

    public void setCreatedByDiseUserId(String screatedByDiseUserId) {
        createdByDiseUserId = screatedByDiseUserId;
    }

    public void setCreatedByProgram(String screatedByProgram) {
        createdByProgram = screatedByProgram;
    }

    public void setDateChanged(int sdateChanged) {
        dateChanged = sdateChanged;
    }

    public void setDateCreated(int sdateCreated) {
        dateCreated = sdateCreated;
    }

    public void setNetworkCode(String snetworkCode) {
        networkCode = snetworkCode;
    }

    public void setNtsrServiceCode(String sntsrServiceCode) {
        ntsrServiceCode = sntsrServiceCode;
    }

    public void setSecurityLevel(int ssecurityLevel) {
        securityLevel = ssecurityLevel;
    }

    public void setSnsnEffectiveDate(int ssnsnEffectiveDate) {
        snsnEffectiveDate = ssnsnEffectiveDate;
    }

    public void setSnsnEffectiveTime(int ssnsnEffectiveTime) {
        snsnEffectiveTime = ssnsnEffectiveTime;
    }

    public void setSnsnExpirationDate(int ssnsnExpirationDate) {
        snsnExpirationDate = ssnsnExpirationDate;
    }

    public void setSnsnMicroSim(String ssnsnMicroSim) {
        snsnMicroSim = ssnsnMicroSim;
    }

    public void setSnsnNumber(String ssnsnNumber) {
        snsnNumber = ssnsnNumber;
    }

    public void setSnsnTypeNumber(String ssnsnTypeNumber) {
        snsnTypeNumber = ssnsnTypeNumber;
    }

    public void setSnsrEffectiveDate(int ssnsrEffectiveDate) {
        snsrEffectiveDate = ssnsrEffectiveDate;
    }

    public void setSnsrEffectiveTime(int ssnsrEffectiveTime) {
        snsrEffectiveTime = ssnsrEffectiveTime;
    }

    public void setSubscriptionNumber(int ssubscriptionNumber) {
        subscriptionNumber = ssubscriptionNumber;
    }

    public void setTimeChanged(int stimeChanged) {
        timeChanged = stimeChanged;
    }

    public void setTimeCreated(int stimeCreated) {
        timeCreated = stimeCreated;
    }

    public Subscription getSubscription() {
        return subscription;
    }

    public void setSubscription(Subscription subscription) {
        this.subscription = subscription;
    }

    public void setCarteSim(CarteSim carteSim) { this.carteSim = carteSim; }
}
