package com.easy.pfol.business.jdo;

import java.io.Serializable;
import java.util.ArrayList;
import java.util.Collection;
import java.util.HashSet;

/**
 * Classe reprsentant un enregistrement de la table subscription/COCXREP
 * @jdo:persistent
 * @jdo:id application
 */
public class Subscription {
    /** Attribut: accountNo/cxan8x. Accesseur/Mutateur */
    private int accountNo;

    /** Attribut: agreementAddrDblBillin/cxg9za. Accesseur/Mutateur */
    private String agreementAddrDblBillin;

    /** Attribut: agreementNumber/cxb6zc. Accesseur/Mutateur */
    private int agreementNumber;

    /** Attribut: autoAdjust/cxbtzh. Accesseur/Mutateur */
    private String autoAdjust;

    /** Attribut: billingMediaCode/cxfuza. Accesseur/Mutateur */
    private String billingMediaCode;

    /** Attribut: callClassOverride/cxdmzh. Accesseur/Mutateur */
    private String callClassOverride;

    /** Attribut: campaignNumber/cxcyza. Accesseur/Mutateur */
    private int campaignNumber;

    /** Attribut: changedByDiseUserId/cxcmzj. Accesseur/Mutateur */
    private String changedByDiseUserId;

    /** Attribut: changedByProgram/cxavzl. Accesseur/Mutateur */
    private String changedByProgram;

    /** Attribut: clawbackDate/cxe7zb. Accesseur/Mutateur */
    private int clawbackDate;

    /** Attribut: cntrContractNumber/cxajwc. Accesseur/Mutateur */
    private int cntrContractNumber;

    /** Attribut: companyNumber/cxciza. Accesseur/Mutateur */
    private String companyNumber;

    /** Attribut: connectedDate/cxa3zb. Accesseur/Mutateur */
    private int connectedDate;

    /** Attribut: connectedRcReasonCode/cxf0za. Accesseur/Mutateur */
    private String connectedRcReasonCode;

    /** Attribut: contractNumber/cxhjzc. Accesseur/Mutateur */
    private String contractNumber;

    /** Attribut: contractStartDate/cxh5zb. Accesseur/Mutateur */
    private int contractStartDate;

    /** Attribut: corpAddressDblBilling/cxhaza. Accesseur/Mutateur */
    private String corpAddressDblBilling;

    /** Attribut: corporateCode/cxceza. Accesseur/Mutateur */
    private String corporateCode;

    /** Attribut: createdByDiseUserId/cxckzj. Accesseur/Mutateur */
    private String createdByDiseUserId;

    /** Attribut: createdByProgram/cxauzl. Accesseur/Mutateur */
    private String createdByProgram;

    /** Attribut: customerCostCentre/cxelza. Accesseur/Mutateur */
    private String customerCostCentre;

    /** Attribut: customerReference/cxb9zc. Accesseur/Mutateur */
    private String customerReference;

    /** Attribut: dateChanged/cxekzb. Accesseur/Mutateur */
    private int dateChanged;

    /** Attribut: dateCreated/cxejzb. Accesseur/Mutateur */
    private int dateCreated;

    /** Attribut: defaultSubsDeliveryAdd/cxh1zc. Accesseur/Mutateur */
    private int defaultSubsDeliveryAdd;

    /** Attribut: deliveryAddressNumber/cxcaza. Accesseur/Mutateur */
    private int deliveryAddressNumber;

    /** Attribut: detailedBillRequired/cxd0zh. Accesseur/Mutateur */
    private String detailedBillRequired;

    /** Attribut: dialledNumberOverride/cxdlzh. Accesseur/Mutateur */
    private String dialledNumberOverride;

    /** Attribut: disconnectedDate/cxa6zb. Accesseur/Mutateur */
    private int disconnectedDate;

    /** Attribut: firstCallDate/cxbbzb. Accesseur/Mutateur */
    private int firstCallDate;

    /** Attribut: firstInvoiceDate/cxa8zb. Accesseur/Mutateur */
    private int firstInvoiceDate;

    /** Attribut: forPrepaymentAccountNo/cxewwc. Accesseur/Mutateur */
    private int forPrepaymentAccountNo;

    /** Attribut: groupCode/cxcdza. Accesseur/Mutateur */
    private String groupCode;

    /** Attribut: grpAddressDblBillingM/cxhbza. Accesseur/Mutateur */
    private String grpAddressDblBillingM;

    /** Attribut: ignoreCcProcedures/cxbzzh. Accesseur/Mutateur */
    private String ignoreCcProcedures;

    /** Attribut: invoiceRunNumber/cxclza. Accesseur/Mutateur */
    private int invoiceRunNumber;

    /** Attribut: lastCallDate/cxbczb. Accesseur/Mutateur */
    private int lastCallDate;

    /** Attribut: lastInvoiceDate/cxa9zb. Accesseur/Mutateur */
    private int lastInvoiceDate;

    /** Attribut: lowerUsageLimit/cxdsze. Accesseur/Mutateur */
    private int lowerUsageLimit;

    /** Attribut: messengerNumber/cxcbzc. Accesseur/Mutateur */
    private int messengerNumber;

    /** Attribut: packageCode/cxbdza. Accesseur/Mutateur */
    private String packageCode;

    /** Attribut: password/cxd3zj. Accesseur/Mutateur */
    private String password;

    /** Attribut: rcReasonCode/cxc8za. Accesseur/Mutateur */
    private String rcReasonCode;

    /** Attribut: receiveDateOrigContrct/cxaoz6. Accesseur/Mutateur */
    private int receiveDateOrigContrct;

    /** Attribut: salespersonNumber/cxd3za. Accesseur/Mutateur */
    private int salespersonNumber;

    /** Attribut: sendDblToAcctAddress/cxdxzh. Accesseur/Mutateur */
    private String sendDblToAcctAddress;

    /** Attribut: sendDblToAgremntAddr/cxfizh. Accesseur/Mutateur */
    private String sendDblToAgremntAddr;

    /** Attribut: sendDblToCorpAddress/cxdyzh. Accesseur/Mutateur */
    private String sendDblToCorpAddress;

    /** Attribut: sendDblToGrpAddress/cxdzzh. Accesseur/Mutateur */
    private String sendDblToGrpAddress;

    /** Attribut: sendDblToSubsAddress/cxdwzh. Accesseur/Mutateur */
    private String sendDblToSubsAddress;

    /** Attribut: serviceActivityPending/cxflzh. Accesseur/Mutateur */
    private String serviceActivityPending;

    /** Attribut: spareAlpha/cxczzj. Accesseur/Mutateur */
    private String spareAlpha;

    /** Attribut: spareNumeric/cxcfzk. Accesseur/Mutateur */
    private int spareNumeric;

    /** Attribut: spareStatus/cxe7zh. Accesseur/Mutateur */
    private String spareStatus;

    /** Attribut: subsAddressDblBilling/cxhcza. Accesseur/Mutateur */
    private String subsAddressDblBilling;

    /** Attribut: subsCountryOfOrigin/cxc7zj. Accesseur/Mutateur */
    private String subsCountryOfOrigin;

    /** Attribut: subsInvCommentRecurs/cxfuzh. Accesseur/Mutateur */
    private String subsInvCommentRecurs;

    /** Attribut: subsMonthEndDay/cxeqwc. Accesseur/Mutateur */
    private int subsMonthEndDay;

    /** Attribut: subsTerminationDate/cxbdzb. Accesseur/Mutateur */
    private int subsTerminationDate;

    /** Attribut: subsTwinbill/cxdyw7. Accesseur/Mutateur */
    private String subsTwinbill;

    /** Attribut: subscriptionNumber/cxb8zc. Accesseur/Mutateur */
    private int subscriptionNumber;

    /** Attribut: subscriptionStatusCode/cxfnza. Accesseur/Mutateur */
    private String subscriptionStatusCode;

    /** Attribut: subscriptionType/cxccza. Accesseur/Mutateur */
    private String subscriptionType;

    /** Attribut: subscriptionUserName/cxhzze. Accesseur/Mutateur */
    private String subscriptionUserName;

    /** Attribut: tariffCode/cxb6za. Accesseur/Mutateur */
    private String tariffCode;

    /** Attribut: tcgEffectiveDate/cxd6zb. Accesseur/Mutateur */
    private int tcgEffectiveDate;

    /** Attribut: termOfContractMonths/cxarzf. Accesseur/Mutateur */
    private int termOfContractMonths;

    /** Attribut: termConditionGroupCode/cxeuza. Accesseur/Mutateur */
    private String termConditionGroupCode;

    /** Attribut: terminationInvProduced/cxgizh. Accesseur/Mutateur */
    private String terminationInvProduced;

    /** Attribut: timeChanged/cxawzi. Accesseur/Mutateur */
    private int timeChanged;

    /** Attribut: timeCreated/cxavzi. Accesseur/Mutateur */
    private int timeCreated;

    /** Attribut: upperUsageLimit/cxdtze. Accesseur/Mutateur */
    private int upperUsageLimit;

    /** @directed */
    private Collection snsn = new ArrayList();

    /** Constructeurs par defaut de la classe subscription */
    public Subscription() {
    }

    public int getAccountNo() {
        return accountNo;
    }

    public String getAgreementAddrDblBillin() {
        return agreementAddrDblBillin;
    }

    public int getAgreementNumber() {
        return agreementNumber;
    }

    public String getAutoAdjust() {
        return autoAdjust;
    }

    public String getBillingMediaCode() {
        return billingMediaCode;
    }

    public String getCallClassOverride() {
        return callClassOverride;
    }

    public int getCampaignNumber() {
        return campaignNumber;
    }

    public String getChangedByDiseUserId() {
        return changedByDiseUserId;
    }

    public String getChangedByProgram() {
        return changedByProgram;
    }

    public int getClawbackDate() {
        return clawbackDate;
    }

    public int getCntrContractNumber() {
        return cntrContractNumber;
    }

    public String getCompanyNumber() {
        return companyNumber;
    }

    public int getConnectedDate() {
        return connectedDate;
    }

    public String getConnectedRcReasonCode() {
        return connectedRcReasonCode;
    }

    public String getContractNumber() {
        return contractNumber;
    }

    public int getContractStartDate() {
        return contractStartDate;
    }

    public String getCorpAddressDblBilling() {
        return corpAddressDblBilling;
    }

    public String getCorporateCode() {
        return corporateCode;
    }

    public String getCreatedByDiseUserId() {
        return createdByDiseUserId;
    }

    public String getCreatedByProgram() {
        return createdByProgram;
    }

    public String getCustomerCostCentre() {
        return customerCostCentre;
    }

    public String getCustomerReference() {
        return customerReference;
    }

    public int getDateChanged() {
        return dateChanged;
    }

    public int getDateCreated() {
        return dateCreated;
    }

    public int getDefaultSubsDeliveryAdd() {
        return defaultSubsDeliveryAdd;
    }

    public int getDeliveryAddressNumber() {
        return deliveryAddressNumber;
    }

    public String getDetailedBillRequired() {
        return detailedBillRequired;
    }

    public String getDialledNumberOverride() {
        return dialledNumberOverride;
    }

    public int getDisconnectedDate() {
        return disconnectedDate;
    }

    public int getFirstCallDate() {
        return firstCallDate;
    }

    public int getFirstInvoiceDate() {
        return firstInvoiceDate;
    }

    public int getForPrepaymentAccountNo() {
        return forPrepaymentAccountNo;
    }

    public String getGroupCode() {
        return groupCode;
    }

    public String getGrpAddressDblBillingM() {
        return grpAddressDblBillingM;
    }

    public String getIgnoreCcProcedures() {
        return ignoreCcProcedures;
    }

    public int getInvoiceRunNumber() {
        return invoiceRunNumber;
    }

    public int getLastCallDate() {
        return lastCallDate;
    }

    public int getLastInvoiceDate() {
        return lastInvoiceDate;
    }

    public int getLowerUsageLimit() {
        return lowerUsageLimit;
    }

    public int getMessengerNumber() {
        return messengerNumber;
    }

    public String getPackageCode() {
        return packageCode;
    }

    public String getPassword() {
        return password;
    }

    public String getRcReasonCode() {
        return rcReasonCode;
    }

    public int getReceiveDateOrigContrct() {
        return receiveDateOrigContrct;
    }

    public int getSalespersonNumber() {
        return salespersonNumber;
    }

    public String getSendDblToAcctAddress() {
        return sendDblToAcctAddress;
    }

    public String getSendDblToAgremntAddr() {
        return sendDblToAgremntAddr;
    }

    public String getSendDblToCorpAddress() {
        return sendDblToCorpAddress;
    }

    public String getSendDblToGrpAddress() {
        return sendDblToGrpAddress;
    }

    public String getSendDblToSubsAddress() {
        return sendDblToSubsAddress;
    }

    public String getServiceActivityPending() {
        return serviceActivityPending;
    }

    public String getSpareAlpha() {
        return spareAlpha;
    }

    public int getSpareNumeric() {
        return spareNumeric;
    }

    public String getSpareStatus() {
        return spareStatus;
    }

    public String getSubsAddressDblBilling() {
        return subsAddressDblBilling;
    }

    public String getSubsCountryOfOrigin() {
        return subsCountryOfOrigin;
    }

    public int getSubscriptionNumber() {
        return subscriptionNumber;
    }

    public String getSubscriptionStatusCode() {
        return subscriptionStatusCode;
    }

    public String getSubscriptionType() {
        return subscriptionType;
    }

    public String getSubscriptionUserName() {
        return subscriptionUserName;
    }

    public String getSubsInvCommentRecurs() {
        return subsInvCommentRecurs;
    }

    public int getSubsMonthEndDay() {
        return subsMonthEndDay;
    }

    public int getSubsTerminationDate() {
        return subsTerminationDate;
    }

    public String getSubsTwinbill() {
        return subsTwinbill;
    }

    public String getTariffCode() {
        return tariffCode;
    }

    public int getTcgEffectiveDate() {
        return tcgEffectiveDate;
    }

    public String getTermConditionGroupCode() {
        return termConditionGroupCode;
    }

    public String getTerminationInvProduced() {
        return terminationInvProduced;
    }

    public int getTermOfContractMonths() {
        return termOfContractMonths;
    }

    public int getTimeChanged() {
        return timeChanged;
    }

    public int getTimeCreated() {
        return timeCreated;
    }

    public int getUpperUsageLimit() {
        return upperUsageLimit;
    }

    public void setAccountNo(int saccountNo) {
        accountNo = saccountNo;
    }

    public void setAgreementAddrDblBillin(String sagreementAddrDblBillin) {
        agreementAddrDblBillin = sagreementAddrDblBillin;
    }

    public void setAgreementNumber(int sagreementNumber) {
        agreementNumber = sagreementNumber;
    }

    public void setAutoAdjust(String sautoAdjust) {
        autoAdjust = sautoAdjust;
    }

    public void setBillingMediaCode(String sbillingMediaCode) {
        billingMediaCode = sbillingMediaCode;
    }

    public void setCallClassOverride(String scallClassOverride) {
        callClassOverride = scallClassOverride;
    }

    public void setCampaignNumber(int scampaignNumber) {
        campaignNumber = scampaignNumber;
    }

    public void setChangedByDiseUserId(String schangedByDiseUserId) {
        changedByDiseUserId = schangedByDiseUserId;
    }

    public void setChangedByProgram(String schangedByProgram) {
        changedByProgram = schangedByProgram;
    }

    public void setClawbackDate(int sclawbackDate) {
        clawbackDate = sclawbackDate;
    }

    public void setCntrContractNumber(int scntrContractNumber) {
        cntrContractNumber = scntrContractNumber;
    }

    public void setCompanyNumber(String scompanyNumber) {
        companyNumber = scompanyNumber;
    }

    public void setConnectedDate(int sconnectedDate) {
        connectedDate = sconnectedDate;
    }

    public void setConnectedRcReasonCode(String sconnectedRcReasonCode) {
        connectedRcReasonCode = sconnectedRcReasonCode;
    }

    public void setContractNumber(String scontractNumber) {
        contractNumber = scontractNumber;
    }

    public void setContractStartDate(int scontractStartDate) {
        contractStartDate = scontractStartDate;
    }

    public void setCorpAddressDblBilling(String scorpAddressDblBilling) {
        corpAddressDblBilling = scorpAddressDblBilling;
    }

    public void setCorporateCode(String scorporateCode) {
        corporateCode = scorporateCode;
    }

    public void setCreatedByDiseUserId(String screatedByDiseUserId) {
        createdByDiseUserId = screatedByDiseUserId;
    }

    public void setCreatedByProgram(String screatedByProgram) {
        createdByProgram = screatedByProgram;
    }

    public void setCustomerCostCentre(String scustomerCostCentre) {
        customerCostCentre = scustomerCostCentre;
    }

    public void setCustomerReference(String scustomerReference) {
        customerReference = scustomerReference;
    }

    public void setDateChanged(int sdateChanged) {
        dateChanged = sdateChanged;
    }

    public void setDateCreated(int sdateCreated) {
        dateCreated = sdateCreated;
    }

    public void setDefaultSubsDeliveryAdd(int sdefaultSubsDeliveryAdd) {
        defaultSubsDeliveryAdd = sdefaultSubsDeliveryAdd;
    }

    public void setDeliveryAddressNumber(int sdeliveryAddressNumber) {
        deliveryAddressNumber = sdeliveryAddressNumber;
    }

    public void setDetailedBillRequired(String sdetailedBillRequired) {
        detailedBillRequired = sdetailedBillRequired;
    }

    public void setDialledNumberOverride(String sdialledNumberOverride) {
        dialledNumberOverride = sdialledNumberOverride;
    }

    public void setDisconnectedDate(int sdisconnectedDate) {
        disconnectedDate = sdisconnectedDate;
    }

    public void setFirstCallDate(int sfirstCallDate) {
        firstCallDate = sfirstCallDate;
    }

    public void setFirstInvoiceDate(int sfirstInvoiceDate) {
        firstInvoiceDate = sfirstInvoiceDate;
    }

    public void setForPrepaymentAccountNo(int sforPrepaymentAccountNo) {
        forPrepaymentAccountNo = sforPrepaymentAccountNo;
    }

    public void setGroupCode(String sgroupCode) {
        groupCode = sgroupCode;
    }

    public void setGrpAddressDblBillingM(String sgrpAddressDblBillingM) {
        grpAddressDblBillingM = sgrpAddressDblBillingM;
    }

    public void setIgnoreCcProcedures(String signoreCcProcedures) {
        ignoreCcProcedures = signoreCcProcedures;
    }

    public void setInvoiceRunNumber(int sinvoiceRunNumber) {
        invoiceRunNumber = sinvoiceRunNumber;
    }

    public void setLastCallDate(int slastCallDate) {
        lastCallDate = slastCallDate;
    }

    public void setLastInvoiceDate(int slastInvoiceDate) {
        lastInvoiceDate = slastInvoiceDate;
    }

    public void setLowerUsageLimit(int slowerUsageLimit) {
        lowerUsageLimit = slowerUsageLimit;
    }

    public void setMessengerNumber(int smessengerNumber) {
        messengerNumber = smessengerNumber;
    }

    public void setPackageCode(String spackageCode) {
        packageCode = spackageCode;
    }

    public void setPassword(String spassword) {
        password = spassword;
    }

    public void setRcReasonCode(String srcReasonCode) {
        rcReasonCode = srcReasonCode;
    }

    public void setReceiveDateOrigContrct(int sreceiveDateOrigContrct) {
        receiveDateOrigContrct = sreceiveDateOrigContrct;
    }

    public void setSalespersonNumber(int ssalespersonNumber) {
        salespersonNumber = ssalespersonNumber;
    }

    public void setSendDblToAcctAddress(String ssendDblToAcctAddress) {
        sendDblToAcctAddress = ssendDblToAcctAddress;
    }

    public void setSendDblToAgremntAddr(String ssendDblToAgremntAddr) {
        sendDblToAgremntAddr = ssendDblToAgremntAddr;
    }

    public void setSendDblToCorpAddress(String ssendDblToCorpAddress) {
        sendDblToCorpAddress = ssendDblToCorpAddress;
    }

    public void setSendDblToGrpAddress(String ssendDblToGrpAddress) {
        sendDblToGrpAddress = ssendDblToGrpAddress;
    }

    public void setSendDblToSubsAddress(String ssendDblToSubsAddress) {
        sendDblToSubsAddress = ssendDblToSubsAddress;
    }

    public void setServiceActivityPending(String sserviceActivityPending) {
        serviceActivityPending = sserviceActivityPending;
    }

    public void setSpareAlpha(String sspareAlpha) {
        spareAlpha = sspareAlpha;
    }

    public void setSpareNumeric(int sspareNumeric) {
        spareNumeric = sspareNumeric;
    }

    public void setSpareStatus(String sspareStatus) {
        spareStatus = sspareStatus;
    }

    public void setSubsAddressDblBilling(String ssubsAddressDblBilling) {
        subsAddressDblBilling = ssubsAddressDblBilling;
    }

    public void setSubsCountryOfOrigin(String ssubsCountryOfOrigin) {
        subsCountryOfOrigin = ssubsCountryOfOrigin;
    }

    public void setSubscriptionNumber(int ssubscriptionNumber) {
        subscriptionNumber = ssubscriptionNumber;
    }

    public void setSubscriptionStatusCode(String ssubscriptionStatusCode) {
        subscriptionStatusCode = ssubscriptionStatusCode;
    }

    public void setSubscriptionType(String ssubscriptionType) {
        subscriptionType = ssubscriptionType;
    }

    public void setSubscriptionUserName(String ssubscriptionUserName) {
        subscriptionUserName = ssubscriptionUserName;
    }

    public void setSubsInvCommentRecurs(String ssubsInvCommentRecurs) {
        subsInvCommentRecurs = ssubsInvCommentRecurs;
    }

    public void setSubsMonthEndDay(int ssubsMonthEndDay) {
        subsMonthEndDay = ssubsMonthEndDay;
    }

    public void setSubsTerminationDate(int ssubsTerminationDate) {
        subsTerminationDate = ssubsTerminationDate;
    }

    public void setSubsTwinbill(String ssubsTwinbill) {
        subsTwinbill = ssubsTwinbill;
    }

    public void setTariffCode(String stariffCode) {
        tariffCode = stariffCode;
    }

    public void setTcgEffectiveDate(int stcgEffectiveDate) {
        tcgEffectiveDate = stcgEffectiveDate;
    }

    public void setTermConditionGroupCode(String stermConditionGroupCode) {
        termConditionGroupCode = stermConditionGroupCode;
    }

    public void setTerminationInvProduced(String sterminationInvProduced) {
        terminationInvProduced = sterminationInvProduced;
    }

    public void setTermOfContractMonths(int stermOfContractMonths) {
        termOfContractMonths = stermOfContractMonths;
    }

    public void setTimeChanged(int stimeChanged) {
        timeChanged = stimeChanged;
    }

    public void setTimeCreated(int stimeCreated) {
        timeCreated = stimeCreated;
    }

    public void setUpperUsageLimit(int supperUsageLimit) {
        upperUsageLimit = supperUsageLimit;
    }

    public Collection getSnsn() {
        return snsn;
    }

    public void setSnsn(Collection snsn) {
        this.snsn = snsn;
    }
}
