/**
 * copyright area
 */
package org.objectweb.speedo.generation.api;

import org.objectweb.speedo.api.SpeedoException;

/**
 * @author S.Chassande-Barrioz
 */
public interface GeneratorComponent {

    void setSpeedoCompilerParameter(SpeedoCompilerParameter scp);

    SpeedoCompilerParameter getSpeedoCompilerParameter();

    void init() throws SpeedoException;

    void process() throws SpeedoException;

}
