package org.objectweb.speedo.runtime.mapper;

import org.objectweb.jorm.runtime.ConnectionSpecJDBC;
import org.objectweb.jorm.api.PException;

import javax.jdo.PersistenceManagerFactory;
import java.util.Properties;

/**
 * Created by IntelliJ IDEA.
 * User: chassase
 * Date: 14 juin 2003
 * Time: 17:42:56
 * To change this template use Options | File Templates.
 */
public class JdbcConnectionSpecFactory implements ConnectionSpecFactory {

    public Object getConnectionSpec(PersistenceManagerFactory pmf,
                                    String user,
                                    String password) {
        Properties p = pmf.getProperties();
        try {
            return new ConnectionSpecJDBC(
                p.getProperty("javax.jdo.option.ConnectionURL"),
                p.getProperty("javax.jdo.option.DriverClassName"),
                user,
                password);
        } catch (PException e) {
            return null;
        }
    }
}
